summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-11-28 21:25:51 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-11-28 21:27:32 +0100
commit689ff1235a6f8b52a1a4b5d42c1d92c3caf694ca (patch)
tree452255186e70c1941fba515e5c72bb432e4c94fa /dev-ml/uutf
parentdev-ml/topkg: add proper subslot (diff)
downloadgentoo-689ff1235a6f8b52a1a4b5d42c1d92c3caf694ca.tar.gz
gentoo-689ff1235a6f8b52a1a4b5d42c1d92c3caf694ca.tar.bz2
gentoo-689ff1235a6f8b52a1a4b5d42c1d92c3caf694ca.zip
dev-ml/uutf: bump to 1.0.0
Package-Manager: portage-2.3.2
Diffstat (limited to 'dev-ml/uutf')
-rw-r--r--dev-ml/uutf/Manifest1
-rw-r--r--dev-ml/uutf/uutf-1.0.0.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-ml/uutf/Manifest b/dev-ml/uutf/Manifest
index 98c993d99f2..19bb205f55c 100644
--- a/dev-ml/uutf/Manifest
+++ b/dev-ml/uutf/Manifest
@@ -1 +1,2 @@
DIST uutf-0.9.4.tbz 36987 SHA256 13706722a0037b167eef359bac68d5426d05f64aa308f44c1784aace9577e1b8 SHA512 95203b06e7506f33822f10607315920b849efde3ed2e032bf8dd805f99ce4851b375bc92a1f95403673c97c6176c5a6974af2be611f530db0a7f36296948edf4 WHIRLPOOL a3446da14f665c06dbc9b245baf530c4650fb657baec02de7773cbb5addb2fdb5ddf9a98822a3af3b72b4800affcf2af39e44a6f37f17d221c55bd02b39c4cce
+DIST uutf-1.0.0.tbz 22182 SHA256 67dc4bd7ef6c8ab23ca62d34eb8c861a1f30624f3b009d45ac84772600672022 SHA512 ca033175aeaf2dafac9a7d2ad846f128d728bfbd7688c2c95d0db1d2a9b92a781d82c37d7bbfbede8934bbb6fa59a2df7530db0f0006032994971a7e4570999c WHIRLPOOL ad6e86cb3bc30cb4a139f6bfd081a256ea5a7054bd4fa06f2a8017b26a77265c352389961deb19f5affc3e6c6a72f5ad6cbfe9435b0a4d0b1adb9aba53a82ee4
diff --git a/dev-ml/uutf/uutf-1.0.0.ebuild b/dev-ml/uutf/uutf-1.0.0.ebuild
new file mode 100644
index 00000000000..ae0cefe14b5
--- /dev/null
+++ b/dev-ml/uutf/uutf-1.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit findlib
+
+DESCRIPTION="Non-blocking streaming Unicode codec for OCaml"
+HOMEPAGE="http://erratique.ch/software/uutf"
+SRC_URI="http://erratique.ch/software/uutf/releases/${P}.tbz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc utftrip +ocamlopt test"
+
+RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
+ utftrip? ( dev-ml/cmdliner:= )"
+DEPEND="${RDEPEND}
+ dev-ml/ocamlbuild
+ dev-ml/topkg
+ test? ( dev-ml/cmdliner )"
+
+src_compile() {
+ ocaml pkg/pkg.ml build \
+ --with-cmdliner "$(usex utftrip true false)" \
+ || die
+}
+
+src_test() {
+ if use ocamlopt ; then
+ ocamlbuild -use-ocamlfind tests.otarget || die
+ cd _build/test || die
+ ./test.native || die
+ else
+ ewarn "Sorry, ${PN} tests require native support (ocamlopt)"
+ fi
+}
+
+src_install() {
+ # Can't use opam-installer here as it is an opam dep...
+ findlib_src_preinst
+ local nativelibs=""
+ use ocamlopt && nativelibs="$(echo _build/src/uutf.cm{x,xa,xs} _build/src/uutf.a)"
+ ocamlfind install uutf _build/pkg/META _build/src/uutf.mli _build/src/uutf.cm{a,i} ${nativelibs} || die
+ use utftrip && newbin utftrip.$(usex ocamlopt native byte) utftrip
+ dodoc CHANGES.md README.md
+ use doc && dohtml -r doc/*
+}